interface StepType {
	title : String,
	content : String
}

export const steps : StepType[] = [
	{
		title: '基本资料',
		content: 'First-content',
	},
	{
		title: '上传相关图片',
		content: 'Second-content',
	},
	{
		title: '注册人资料',
		content: 'Last-content',
	}
];

export let dataForm = {
	full_name: '',
	registration_number: '',
	establishment_date: '',
	contact: '',
	phone: '',
	mobile: '',
	email: '',
	fax: '',
	website: '',
	province: 0,
	city: 0,
	district: 0,
	street: 0,
	address: '',
	industry: 0,
	nature: 0,
	scale: 0,
	introduction: '',
	photo: '',
	photo_status: 1,
	license_path: '',
	license_status: 1,
	login_pwd: '',
	company_photos: [],
	longitude: 0,
	latitude: 0
}

export let otherDataForm = {
	chengli_date: '',
	content: '',
	photo_img: '',
	license_img: '',
	company_photo_img: '',
	company_photos: [],
	company_address_cascader: '',
	company_industry_cascader: '',
	company_nature_cascader: '',
}

export const reset = () => {
	dataForm = {
		full_name: '',
		registration_number: '',
		establishment_date: '',
		contact: '',
		phone: '',
		mobile: '',
		email: '',
		fax: '',
		website: '',
		province: 0,
		city: 0,
		district: 0,
		street: 0,
		address: '',
		industry: 0,
		nature: 0,
		scale: 0,
		introduction: '',
		photo: '',
		photo_status: 1,
		license_path: '',
		license_status: 1,
		login_pwd: '',
		company_photos: [],
		longitude: 0,
		latitude: 0
	};
	otherDataForm = {
		chengli_date: '',
		content: '',
		photo_img: '',
		license_img: '',
		company_photo_img: '',
		company_photos: [],
		company_address_cascader: '',
		company_industry_cascader: '',
		company_nature_cascader: '',
	}

	return { dataForm, otherDataForm }
}